Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Interface CQLStatement

All Known Implementing Classes:
  AlterKeyspaceStatement, AlterTableStatement, BatchStatement, CreateColumnFamilyStatement, CreateIndexStatement, CreateKeyspaceStatement, DeleteStatement, DropColumnFamilyStatement, DropIndexStatement, DropKeyspaceStatement, ModificationStatement, SchemaAlteringStatement, SelectStatement, TruncateStatement, UpdateStatement, UseStatement

    public interface CQLStatement

Method Summary
`void` | `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`CqlResult` | `execute(ClientState state, java.util.List<java.nio.ByteBuffer> variables)` Execute the statement and return the resulting result or null if there is no result.
`int` | `getBoundsTerms()` Returns the number of bound terms in this statement.
`void` | `validate(ClientState state)` Perform additional validation required by the statment.

Method Detail

### getBoundsTerms

    int getBoundsTerms()

  Returns the number of bound terms in this statement.

### checkAccess

    void checkAccess(ClientState state)
                     throws InvalidRequestException

  Perform any access verification necessary for the statement.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`

### validate

    void validate(ClientState state)
                  throws InvalidRequestException,
                         SchemaDisagreementException

  Perform additional validation required by the statment. To be overriden by subclasses if needed.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`
    `SchemaDisagreementException`

### execute

    CqlResult execute(ClientState state,
                      java.util.List<java.nio.ByteBuffer> variables)
                      throws InvalidRequestException,
                             UnavailableException,
                             TimedOutException,
                             SchemaDisagreementException

  Execute the statement and return the resulting result or null if there is no result.

  Parameters:
    `state` - the current client state
    `variables` - the values for bounded variables. The implementation can assume that each bound term have a corresponding value.
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `SchemaDisagreementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation